<?php
/* Copyright (C) 2001-2005 Rodolphe Quiedeville <rodolphe@quiedeville.org>
 * Copyright (C) 2004-2015 Laurent Destailleur  <eldy@users.sourceforge.net>
 * Copyright (C) 2005-2012 Regis Houssin        <regis.houssin@inodbox.com>
 * Copyright (C) 2015      Jean-François Ferry	<jfefe@aternatik.fr>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

/**
 *	\file       settlements/settlementsindex.php
 *	\ingroup    settlements
 *	\brief      Home page of settlements top menu
 */


// Load Dolibarr environment

$res = 0;
// Try main.inc.php into web root known defined into CONTEXT_DOCUMENT_ROOT (not always defined)
if (!$res && !empty($_SERVER["CONTEXT_DOCUMENT_ROOT"])) {
    $res = @include $_SERVER["CONTEXT_DOCUMENT_ROOT"] . "/main.inc.php";
}
// Try main.inc.php into web root detected using web root calculated from SCRIPT_FILENAME
$tmp = empty($_SERVER['SCRIPT_FILENAME']) ? '' : $_SERVER['SCRIPT_FILENAME'];
$tmp2 = realpath(__FILE__);
$i = strlen($tmp) - 1;
$j = strlen($tmp2) - 1;
while ($i > 0 && $j > 0 && isset($tmp[$i]) && isset($tmp2[$j]) && $tmp[$i] == $tmp2[$j]) {
    $i--;
    $j--;
}
if (!$res && $i > 0 && file_exists(substr($tmp, 0, ($i + 1)) . "/main.inc.php")) {
    $res = @include substr($tmp, 0, ($i + 1)) . "/main.inc.php";
}
if (!$res && $i > 0 && file_exists(dirname(substr($tmp, 0, ($i + 1))) . "/main.inc.php")) {
    $res = @include dirname(substr($tmp, 0, ($i + 1))) . "/main.inc.php";
}
// Try main.inc.php using relative path
if (!$res && file_exists("../main.inc.php")) {
    $res = @include "../main.inc.php";
}
if (!$res && file_exists("../../main.inc.php")) {
    $res = @include "../../main.inc.php";
}
if (!$res && file_exists("../../../main.inc.php")) {
    $res = @include "../../../main.inc.php";
}
if (!$res) {
    die("Include of main fails");
}

require_once DOL_DOCUMENT_ROOT . '/core/class/html.formfile.class.php';
require_once DOL_DOCUMENT_ROOT . '/user/class/usergroup.class.php';
require_once DOL_DOCUMENT_ROOT . '/custom/settlements/class/groupusers.class.php';
require_once DOL_DOCUMENT_ROOT . '/custom/financialreport/class/helper.class.php';
require_once DOL_DOCUMENT_ROOT . '/custom/bbus/class/commissionhandler.class.php';
require_once DOL_DOCUMENT_ROOT . '/user/class/user.class.php';



$helper = new HelperUserInvoice($db);
$commmissionhandler = new CommissionHandler();
$userObj = new User($db);

// Load translation files required by the page
$langs->loadLangs(array("financialreport@financialreport"));

$action = GETPOST('action', 'aZ09');
$id = GETPOST('id', 'int');
$idmenu = GETPOST('idmenu', 'int');

$limit = GETPOST('limit', 'int') ? GETPOST('limit', 'int') : $conf->liste_limit;
$sortfield = GETPOST('sortfield', 'aZ09comma');
$sortorder = GETPOST('sortorder', 'aZ09comma');
$search_nickname = GETPOST('search_nickname', 'alpha');
$search_name = GETPOST('search_name', 'alpha');
$search_login = GETPOST('search_login', 'alpha');

$searchArray = ['search_name' => $search_name, 'search_nickname' => $search_nickname, 'search_login' => $search_login];

$search = array();
foreach ($searchArray as $key => $val) {
    if (GETPOST($key, 'alpha') !== '') {
        $search[$key] = GETPOST($key, 'alpha');
    }
}

if (GETPOST('button_removefilter_x', 'alpha')) {
    foreach ($searchArray as $key => $val) {
        $search[$key] = '';
        $searchArray[$key] = '';
        $$key = '';
    }
}

if (!$sortorder) {
    $sortorder = "ASC";
}

$form = new Form($db);
$formfile = new FormFile($db);

$sql = "SELECT u.rowid, u.lastname, u.firstname, u.login, ue.nickname 
    FROM llx_user AS u 
    LEFT JOIN llx_user_extrafields AS ue ON u.rowid = ue.fk_object 
    WHERE ue.user_category = '1'";
if ($search_nickname) {
    $sql .= " AND ue.nickname LIKE '%{$search_nickname}%'";
}
if ($search_name) {
    $sql .= " AND (u.firstname LIKE '%{$search_name}%' OR u.lastname LIKE '%{$search_name}%')";
}
if ($search_login) {
    $sql .= " AND u.login LIKE '%{$search_login}%'";
}
$sql .= " ORDER BY u.lastname";
$sql .= " {$sortorder}";

$allSalesUsers = $helper->getAllSalesWithSQL($sql);



//$allSalesUsers = $helper->getAllSales($userObj);

$title = '';
$help_url = '';
$morejs = '';
$morecss = '';

llxHeader('', $title, $help_url, '', 0, 0, $morejs, $morecss, '', 'classforhorizontalscrolloftabs');

$url = $_SERVER["PHP_SELF"] . '?idmenu=' . $idmenu . '&mainmenu=financialreport&leftmenu=';

print '<form method="POST" id="witholdingForm" action="' . $url . '">' . "\n";
print '<input type="hidden" name="token" value="' . newToken() . '">';
print '<input type="hidden" name="formfilteraction" id="formfilteraction" value="list">';
print '<input type="hidden" name="action" value="list">';
print '<input type="hidden" name="sortfield" value="' . $sortfield . '">';
print '<input type="hidden" name="sortorder" value="' . $sortorder . '">';
//print '<input type="hidden" name="page" value="' . $page . '">';
print load_fiche_titre($langs->trans("Commission"), '', 'financialreport.png@financialreport');

print '
<table style="width:100%;">
    <tr>
        <th>' . $langs->trans("username") . '</th>
        <th>' . $langs->trans("nickname") . '</th>
        <th>' . $langs->trans("login") . '</th>        
        <th>' . $langs->trans("CurrentBalance") . ' HUF</th>
        <!--<th>' . $langs->trans("CurrentBalance") . ' EUR</th>-->
        <th>' . $langs->trans("Commissionpaidamount") . ' HUF</th>
        <!--<th>' . $langs->trans("Commissionpaidamount") . ' EUR</th>-->
    </tr>';
include DOL_DOCUMENT_ROOT . '/custom/financialreport/core/tpl/search_fields_for_userslist.tpl.php';

$rownum = 0;
$payment_type = 2;
$helper->tableDrawer($allSalesUsers, $db, $idmenu, $payment_type);
print '</table>';

print '</form>' . "\n";

// End of page
llxFooter();
$db->close();
?>